| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Bindings::iEventSelector Class Reference

Inheritance diagram for GaudiPython::Bindings::iEventSelector:

[legend]
Collaboration diagram for GaudiPython::Bindings::iEventSelector:

[legend]

List of all members.

## Detailed Description

Definition at line 519 of file Bindings.py.

## Public Member Functions
def | __init__
def | open
def | rewind
## Public Attributes
| Input

## Member Function Documentation

def GaudiPython::Bindings::iEventSelector::__init__ | ( |  | self | ) |

Definition at line 520 of file Bindings.py.

    00520                     :
    00521     iService.__init__(self, 'EventSelector', Helper.service(gbl.Gaudi.svcLocator(),'EventSelector'))
    00522     self.__dict__['g'] = AppMgr()
      def open(self, stream, typ = 'POOL_ROOT', opt = 'READ', sel = None, fun = None, collection = None ):

def GaudiPython::Bindings::iEventSelector::open | ( |  | self,
|  |  | stream,
|  |  | typ = `'POOL_ROOT'`,
|  |  | opt = `'READ'`,
|  |  | sel = `None`,
|  |  | fun = `None`,
|  |  | collection = `None` |
| ) |  |  |

Definition at line 523 of file Bindings.py.

    00523                                                                                                      :
    00524     if typ == 'ROOT' :
    00525       self.g.declSvcType('RootEvtCnvSvc','DbEventCnvSvc')
    00526       self.g.service('RootEvtCnvSvc').DbType  = 'ROOT'
    00527       self.g.createSvc('RootEvtCnvSvc')
    00528       self.g.service('EventPersistencySvc').CnvServices = ['RootEvtCnvSvc']
    00529     elif typ == 'POOL_ROOT':
    00530       cacsvc = self.g.service('PoolDbCacheSvc')
    00531       if hasattr(cacsvc, 'Dlls') : cacsvc.Dlls += ['lcg_RootStorageSvc', 'lcg_XMLCatalog']
    00532       else :                       cacsvc.Dlls = ['lcg_RootStorageSvc', 'lcg_XMLCatalog']
    00533       cacsvc.OutputLevel = 4
    00534       cacsvc.DomainOpts    = [ 'Domain[ROOT_All].CLASS_VERSION=2 TYP=int',
    00535                                'Domain[ROOT_Key].CLASS_VERSION=2 TYP=int',
    00536                                'Domain[ROOT_Tree].CLASS_VERSION=2 TYP=int' ]
    00537       cacsvc.DatabaseOpts  = ['']
    00538       cacsvc.ContainerOpts = ['']
    00539       self.g.createSvc('PoolDbCacheSvc')
    00540       cnvSvcs = [('PoolRootEvtCnvSvc',     'POOL_ROOT'),
    00541                  ('PoolRootTreeEvtCnvSvc', 'POOL_ROOTTREE'),
    00542                  ('PoolRootKeyEvtCnvSvc',  'POOL_ROOTKEY')]
    00543       for svc in cnvSvcs :
    00544         self.g.declSvcType(svc[0], 'PoolDbCnvSvc')
    00545         cnvsvc = self.g.service(svc[0])
    00546         cnvsvc.DbType = svc[1]
    00547       self.g.service('EventPersistencySvc').CnvServices = [ svc[0] for svc in cnvSvcs ]
    00548       for svc in cnvSvcs :
    00549         self.g.createSvc(svc[0])
    00550     self.g.service('EventDataSvc').RootCLID = 1
    00551     if type(stream) != list : stream = [stream]
    00552     fixpart = "TYP=\'%s\' OPT=\'%s\'" % ( typ, opt )
    00553     if sel        : fixpart += " SEL=\'%s\'" % sel
    00554     if fun        : fixpart += " FUN=\'%s\'" % fun
    00555     if collection : fixpart += " COLLECTION=\'%s\'" % collection
    00556     cstream = ["DATAFILE=\'%s\' %s" % ( s, fixpart) for s in stream]
    00557     self.Input = cstream
    00558     self.reinitialize()

def GaudiPython::Bindings::iEventSelector::rewind | ( |  | self | ) |

Definition at line 559 of file Bindings.py.

    00559                   :
    00560     # It is not possible to reinitialze EventSelector only
    00561     self.g.service('EventLoopMgr').reinitialize()
    00562
    00563 #----AppMgr class---------------------------------------------------------------------
    class AppMgr(iService) :

## Member Data Documentation

GaudiPython::Bindings::iEventSelector::Input

Definition at line 557 of file Bindings.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/python/GaudiPython/Bindings.py